## org.apache.ivy.osgi.obr.xml
Class CapabilityProperty

    java.lang.Object
      org.apache.ivy.osgi.obr.xml.CapabilityProperty

    public class CapabilityProperty

extends java.lang.Object

Constructor Summary
`CapabilityProperty(java.lang.String name, java.lang.String value, java.lang.String type)`

Method Summary
`java.lang.String` `getName()`
`java.lang.String` `getType()`
`java.lang.String` `getValue()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CapabilityProperty

    public CapabilityProperty(java.lang.String name,
                              java.lang.String value,
                              java.lang.String type)

Method Detail

### getName

    public java.lang.String getName()

### getValue

    public java.lang.String getValue()

### getType

    public java.lang.String getType()